> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all tests on an assessment

> Retrieve tests associated with a specific assessment



## OpenAPI

````yaml /monolith-v1-openapi.yaml get /v1/assessments/{assessment_id}/tests
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/assessments/{assessment_id}/tests:
    get:
      tags:
        - Tests
      summary: Retrieve all tests on an assessment
      description: Retrieve tests associated with a specific assessment
      operationId: getAssessmentTests
      parameters:
        - name: assessment_id
          in: path
          required: true
          schema:
            type: string
          description: ID of the assessment
      responses:
        '200':
          description: A list of tests on the assessment
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Test'
        '403':
          description: The user is missing sufficient privileges
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '404':
          description: No assessment matched the given ID
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
components:
  schemas:
    Test:
      type: object
      properties:
        name:
          type: string
        testPlan:
          type: string
          enum:
            - Synack365
            - Synack90
            - Synack14
        testObjective:
          type: string
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````